
TYPO3.Fluid - Bug # 39428

Status: Resolved Priority: Must have
Author: Alexander Berl Category: Core
Created: 2012-07-31 Assigned To: Alexander Berl
Updated: 2014-08-27 Due date:
Has patch: No
Affected Flow version: FLOW3 1.1.0 rc 2
Subject: Layout and partial identifiers should be independent of current controller name
Description

Currently, all templates get an identifier made up of package/subpackage, controller, prefix and unique hash.
This leads to all layouts and partials being compiled and cached once for each controller they are used from, even though the
contents is independant and hence just a duplicate.

I suggest adding the controller name as part of the prefix in getTemplateIdentifier() only and stripping it from createIdentifierForFile().

Associated revisions
Revision b474d245 - 2014-08-25 11:43 - Alexander Berl

[BUGFIX] Resolve duplicate layout and partial compilations

Layouts and partials are independent of the current controller and hence should
not have the controller name in their identifier to prevent duplicate
compilations and cache instances of the same content.
This change removes the controller name from identifiers of layouts and
partials, but leaves the identifier of templates untouched.

Change-Id: I4f6e5b576d9e17e15a3e16cb581bfa4edc54637a
Fixes: #39428
Releases: master, 2.2

Revision 6224bcf3 - 2014-08-27 12:24 - Alexander Berl

[BUGFIX] Resolve duplicate layout and partial compilations

Layouts and partials are independent of the current controller and hence should
not have the controller name in their identifier to prevent duplicate
compilations and cache instances of the same content.
This change removes the controller name from identifiers of layouts and
partials, but leaves the identifier of templates untouched.

Change-Id: I4f6e5b576d9e17e15a3e16cb581bfa4edc54637a
Fixes: #39428
Releases: master, 2.2

History
#1 - 2012-07-31 23:31 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13391

#2 - 2012-08-07 16:58 - Karsten Dambekalns
- Category set to Core
- Assigned To set to Alexander Berl
- Target version set to 1.1

#3 - 2012-08-07 17:18 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13391

#4 - 2012-08-17 11:18 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1.1

#5 - 2012-12-14 15:09 - Karsten Dambekalns
- Target version changed from 1.1.1 to 2052

#6 - 2013-04-13 18:24 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13391

#7 - 2013-04-13 18:39 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13391

#8 - 2013-08-14 15:39 - Karsten Dambekalns
- Target version changed from 2052 to 1.1.1

#9 - 2014-08-25 11:43 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at http://review.typo3.org/13391

#10 - 2014-08-27 12:24 - Gerrit Code Review

Patch set 1 for branch 2.2 of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at http://review.typo3.org/32430

#11 - 2014-08-27 12:32 - Alexander Berl
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:b474d24527f39e0c90f661e3457f08a89d7d988a.
